List:Eventum General Discussion« Previous MessageNext Message »
From:Joao Prado Maia Date:June 8 2005 8:55pm
Subject:RE: Eventum 1.5.4 Setup Error
View as plain text  
Brian, 

> I'm trying to install release 1.5.4 from scratch. When select 
> "Create Database" and begin the install, the process is 
> interrupted with the following error:
>  
> An Error Was Found
> 
> Details: The used table type doesn't support FULLTEXT indexes 
> 

Hmm, interesting. I guess your default table type in MySQL is set to
InnoDB, right? Those tables really need to be set to MyISAM. We'll fix
that for the next release.

In the meantime, you can open /path-to-eventum/setup/schema.sql and
change all of the CREATE TABLE statements to have " TYPE=MyISAM;", like
so:

CREATE TABLE %TABLE_PREFIX%issue_association (
  isa_issue_id int(10) unsigned NOT NULL default 0,
  isa_associated_id int(10) unsigned NOT NULL default 0,
  KEY isa_issue_id (isa_issue_id,isa_associated_id)
);

To:

CREATE TABLE %TABLE_PREFIX%issue_association (
  isa_issue_id int(10) unsigned NOT NULL default 0,
  isa_associated_id int(10) unsigned NOT NULL default 0,
  KEY isa_issue_id (isa_issue_id,isa_associated_id)
) TYPE=MyISAM;

Let me know if that works.

--Joao

Thread
Eventum 1.5.4 Setup ErrorBrian Fannon8 Jun
  • RE: Eventum 1.5.4 Setup ErrorJoao Prado Maia8 Jun
    • RE: Eventum 1.5.4 Setup ErrorTravis Pierce13 Jun
      • RE: Eventum 1.5.4 Setup ErrorJoao Prado Maia13 Jun
    • RE: Eventum 1.5.4 Setup ErrorBrian Fannon23 Jun